Bug 418251 - Packages in RPM Groups are only shown for level 2
Packages in RPM Groups are only shown for level 2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 11:09 EST by Gérard Milmeister
Modified: 2009-01-14 09:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 09:22:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2007-12-10 11:09:48 EST
Normally package categories in Fedora have two levels,
such as Applications/Multimedia. However
external packages use three levels, for example
Applications/Multimedia/Video. In that case it is
not possible to display the packages at the
second level, only those at the third level.
Comment 1 Tim Lauridsen 2007-12-11 04:25:01 EST
Just to make it clear.

There is two type of groups.
 1. RPM Groups, multilevel groups defined in the rpm spec files. in yumex
    select Category 'RPM Groups' in package view. Yumex can show packages on
    lower levels (Ex. Development->Libraries->Java)
 2. Comps Categories/Groups definded in the repo comps.xml files.
    It is only contain 2 levels (1. Category, 2. Group). Subgroups is not 
    supported.




Comment 2 Gérard Milmeister 2007-12-11 06:00:56 EST
(In reply to comment #1)
> There is two type of groups.
>  1. RPM Groups, multilevel groups defined in the rpm spec files. in yumex
>     select Category 'RPM Groups' in package view. Yumex can show packages on
>     lower levels (Ex. Development->Libraries->Java)
That's exactly the problem, it ONLY shows the lowest level.
Comment 3 Tim Lauridsen 2007-12-11 08:23:26 EST
Ok, do you have any examples of packages not shown ?
Comment 4 Gérard Milmeister 2007-12-15 17:04:32 EST
The packages in Development->Libraries->Java are shown, but those
in Development->Libraries are not.
Comment 5 Bug Zapper 2008-05-14 11:09:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tim Lauridsen 2008-07-25 06:13:00 EDT
Ok, i found the problem, fixed upstream, will be available in yumex 2.0.5
Comment 7 Bug Zapper 2008-11-25 21:03:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.